<?
$fini=$_POST['fini'];
$ffin=$_POST['ffin'];

/*
 for($i=$fini;$i<=$ffin;$i = date("Y-m-d", strtotime($i ."+ 1 days"))){
						 $dits++;
    }
function tiempo_transcurrido($fecha_nacimiento, $fecha_control) 
													{ 
													 $fecha_actual = $fecha_control;    
													   if(!strlen($fecha_actual)) 
													     { 
														  $fecha_actual = date('d/m/Y'); 
													     } 
 
														   // separamos en partes las fechas  
														   $array_nacimiento = explode ( "/", $fecha_nacimiento );  
														   $array_actual = explode ( "/", $fecha_actual );  
														 
														   $anos =  $array_actual[2] - $array_nacimiento[2]; // calculamos años  
														   $meses = $array_actual[1] - $array_nacimiento[1]; // calculamos meses  
														   $dias =  $array_actual[0] - $array_nacimiento[0]; // calculamos días  
 
															   //ajuste de posible negativo en $días  
															   if ($dias < 0)  
															   {  
																  --$meses;  
															 
																  //ahora hay que sumar a $dias los dias que tiene el mes anterior de la fecha actual  
																  switch ($array_actual[1]) {  
																	 case 1:  
																		$dias_mes_anterior=31; 
																		break;  
																	 case 2:      
																		$dias_mes_anterior=31; 
																		break;  
																	 case 3:   
																		if (bisiesto($array_actual[2]))  
																		{  
																		   $dias_mes_anterior=29; 
																		   break;  
																		}  
																		else  
																		{  
																		   $dias_mes_anterior=28; 
																		   break;  
																		}  
																	 case 4: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 5: 
																		$dias_mes_anterior=30; 
																		break;  
																	 case 6: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 7: 
																		$dias_mes_anterior=30; 
																		break;  
																	 case 8: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 9: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 10: 
																		$dias_mes_anterior=30; 
																		break;  
																	 case 11: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 12: 
																		$dias_mes_anterior=30; 
																		break;  
																  }  
															 
																  $dias=$dias + $dias_mes_anterior; 
															 
																  if ($dias < 0) 
																  { 
																	 --$meses; 
																	 if($dias == -1) 
																	 { 
																		$dias = 30; 
																	 } 
																	 if($dias == -2) 
																	 { 
																		$dias = 29; 
																	 } 
																  } 
															   } 
 
																   //ajuste de posible negativo en $meses  
																   if ($meses < 0)  
																   {  
																	  --$anos;  
																	  $meses=$meses + 12;  
																   } 
																 
																   $tiempo[0] = $anos; 
																   $tiempo[1] = $meses; 
																   $tiempo[2] = $dias; 
																 
																   return $tiempo; 
																} 
																 
																function bisiesto($anio_actual){  
																   $bisiesto=false;  
																   //probamos si el mes de febrero del año actual tiene 29 días  
																	 if (checkdate(2,29,$anio_actual))  
																	 {  
																	  $bisiesto=true;  
																   }  
																   return $bisiesto;  
																}  
								   $fini=str_replace("-", "/", $fini);
                                   $ffin=str_replace("-", "/", $ffin);
	                               $tiempo = tiempo_transcurrido($fini, $ffin); 
								   $texto = "$tiempo[0] años con $tiempo[1] meses y $tiempo[2] días"; 
								   //print "".$texto."<br>"; 
								   $dits=$dits-1;
								   $anio=$dits/360;
								   $anios=(int)$anio;
								   $tmes=$dits%360;
								   $mese=$tmes/30;
								   $meses=(int)$mese; 
								   $seman=$tmes%30;
								   $semanass=$seman/7;   
								   $semred=(int)$semanass;
								   $restodias=$seman%7;	*/
								   
								   ///CAlcula el numero de dias, semanas, meses, años que hay entre dos fechas tomando en cuenta meses enteros///
				 $noanioses=0; $nomeseses=0; $numerosemanases=0;  $numerodiasdias=0;	$mes=0;
				 
				 list($anioies,$mesies,$diaies)=explode("-",$fini);
				 list($aniofes,$mesfes,$diafes)=explode("-",$ffin);
				 $mes=$mesies;
				 $mesextraes=$aniofes-$anioies;
				 $mesfes1=$mesfes+($mesextraes*12);
				 $nomeseses=$mesfes1-$mesies;
				 $diasenmesultimo= cal_days_in_month(CAL_GREGORIAN, $mesfes, $aniofes); 
				 if($diafes<$diaies&&$diasenmesultimo!=$diafes)
				 {
				 $nomeseses--;
				 if($nomeseses==0&&$mesextraes>0)
				 { $nomeseses=0; }
				 $numero = cal_days_in_month(CAL_GREGORIAN, $mes, $aniofes); 
				$diafes=$diafes+$numero;
				}
				if($diasenmesultimo==$diafes&&$diafes<$diaies)
				 {	$numerodiasdias=0;		}
				else{$numerodiasdias=$diafes-$diaies;}
				while($numerodiasdias>=7)
				 {
				 $numerodiasdias=$numerodiasdias-7;
				 
				 $numerosemanases++;
				 }
		
				while($nomeseses>=12)
				 {
				 $noanioses++;
				 $nomeseses=$nomeseses-12;
				 }
				$anios=$noanioses; $meses=$nomeseses; $semred=$numerosemanases;  $restodias=$numerodiasdias ;
				 
				 
	     ///***************************************termina calcula numero de dias semanas meses anios  **************************++
				 
				 
								   
								   
								   
								   
                                   switch($anios){
				    case 0:$anual="";break;			 
				    case 1:$anual="<font class='notas'><b>".$anios."</b><strong> A&ntilde;o</font></strong>";break;
                    default :$anual="<font class='notas'><b>".$anios."</b><strong> A&ntilde;os</font></strong>";break;					
				 }
				  switch($meses){
				    case 0:$mensual="";break;			 
				    case 1:$mensual="<font class='notas'><b>".$meses."</b><strong> Mes</font></strong>";break;
                    default :$mensual="<font class='notas'><b>".$meses."</b><strong> Meses</font></strong>";break;					
				 }
				  switch($semred){
				    case 0:$semanal="";break;			 
				    case 1:$semanal="<font class='notas'><b>".$semred."</b><strong> Semana</font></strong>";break;
                    default :$semanal="<font class='notas'><b>".$semred."</b><strong> Semanas</font></strong>";break;					
				 }
				 switch($restodias){
				    case 0:$diario="";break;			 
				    case 1: if($anios>0 && $meses>0){$y="y";}$diario="<font class='notas'>$y &nbsp;<b>".$restodias."</b><strong> Noche</font></strong>";break;
                    default :if($anios>0 && $meses>0){$y="y";}$diario="<font class='notas'>$y&nbsp;<b>".$restodias."</b><strong> Noches</font></strong>";break;					
				 }
                 echo " <font class='notas'>Estancia de:$anual$mensual$semanal$diario</font>";
                 ?>
				     <script>
					     document.getElementById("noanios").value="<?echo $anios?>";
					     document.getElementById("nomeses").value="<?echo $meses?>";
					     document.getElementById("nosem").value="<?echo $semred?>";
					     document.getElementById("nodias").value="<?echo $restodias?>";
						 
						 document.getElementById("cantanios").value="<?if($anios>0){echo $anios;} else{echo"";}?>";
					     document.getElementById("cantmeses").value="<?if($meses>0){echo $meses ;}else{echo"";}?>";
					     document.getElementById("cantsemanas").value="<?if($semred>0){echo $semred;}else{echo"";}?>";
					     document.getElementById("cantnoches").value="<?if($restodias>0){echo $restodias;}else{echo"";}?>";
				     </script>
				 <? 
?>																